Mailinglist Archive: opensuse-updates (59 mails)

< Previous Next >
openSUSE-SU-2010:0658-1 (important): samba security update
  • From: opensuse-security@xxxxxxxxxxxx
  • Date: Thu, 23 Sep 2010 04:08:15 +0200 (CEST)
  • Message-id: <20100923020815.441C6BE38@xxxxxxxxxxxxxx>
openSUSE Security Update: samba security update
______________________________________________________________________________

Announcement ID: openSUSE-SU-2010:0658-1
Rating: important
References: #567013 #583535 #592198 #599873 #613459 #617153
#637218
Cross-References: CVE-2010-3069
Affected Products:
openSUSE 11.1
______________________________________________________________________________

An update that solves one vulnerability and has 6 fixes is
now available. It includes one version update.

Description:

A buffer overflow in the sid_parse() function of samba
could potentially be exploited by remote attackers to
execute arbitrary code (CVE-2010-3069).

Additionally the update also contains fixes for the
following non-security issues: bnc#567013 - Failed to join
ADS Domain bnc#592198 - Samba 3.0 / 3.2 doesn't work with
Windows 2008 R2 (NTLMv2) bnc#599873 - Problem using NTLM
authentication with 2008R2 bnc#613459 - winbindd crashes in
rpccli_set_timeout bnc#617153 - new printers are not seen
in samba with registry


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.1:

zypper in -t patch cifs-mount-3101

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.1 (i586 ppc x86_64) [New Version: 3.2.7]:

cifs-mount-3.2.7-11.8.1
ldapsmb-1.34b-6.8.1
libnetapi-devel-3.2.7-11.8.1
libnetapi0-3.2.7-11.8.1
libsmbclient-devel-3.2.7-11.8.1
libsmbclient0-3.2.7-11.8.1
libsmbsharemodes-devel-3.2.7-11.8.1
libsmbsharemodes0-3.2.7-11.8.1
libtalloc-devel-3.2.7-11.8.1
libtalloc1-3.2.7-11.8.1
libtdb-devel-3.2.7-11.8.1
libtdb1-3.2.7-11.8.1
libwbclient-devel-3.2.7-11.8.1
libwbclient0-3.2.7-11.8.1
samba-3.2.7-11.8.1
samba-client-3.2.7-11.8.1
samba-devel-3.2.7-11.8.1
samba-krb-printing-3.2.7-11.8.1
samba-vscan-0.3.6b-6.8.1
samba-winbind-3.2.7-11.8.1

- openSUSE 11.1 (x86_64) [New Version: 3.2.7]:

libsmbclient0-32bit-3.2.7-11.8.1
libtalloc1-32bit-3.2.7-11.8.1
libtdb1-32bit-3.2.7-11.8.1
libwbclient0-32bit-3.2.7-11.8.1
samba-32bit-3.2.7-11.8.1
samba-client-32bit-3.2.7-11.8.1
samba-winbind-32bit-3.2.7-11.8.1

- openSUSE 11.1 (ppc) [New Version: 3.2.7]:

libsmbclient0-64bit-3.2.7-11.8.1
libtalloc1-64bit-3.2.7-11.8.1
libtdb1-64bit-3.2.7-11.8.1
libwbclient0-64bit-3.2.7-11.8.1
samba-64bit-3.2.7-11.8.1
samba-client-64bit-3.2.7-11.8.1
samba-winbind-64bit-3.2.7-11.8.1


References:

http://support.novell.com/security/cve/CVE-2010-3069.html
https://bugzilla.novell.com/567013
https://bugzilla.novell.com/583535
https://bugzilla.novell.com/592198
https://bugzilla.novell.com/599873
https://bugzilla.novell.com/613459
https://bugzilla.novell.com/617153
https://bugzilla.novell.com/637218


< Previous Next >
This Thread
  • No further messages